Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 12/03/2018 in all areas

  1. My code assumes a fixed "BOX" block and that the rotation angle of the references is 0. As per your first example.
    1 point
  2. Construct the cylinder relative to the WCS plane and then transform as required - here is an example.
    1 point
  3. Because the rotation of the block that you posted in the first reply is different than the one into this drawing. So just replace the following from the above posted codes: ang (cdr (assoc 50 get)) rot (+ ang (* pi 0.5))
    1 point
  4. Not as a single prompt (at least not without recreating your own version of ssget using a grread loop). I would instead suggest something like this: (defun c:test ( / qty tmp ) (initget 6) (if (setq qty (cond ( (getint "\nNumber of details <select>: ")) ( (setq tmp (ssget)) (sslength tmp) ) ) ) (progn (princ (strcat "\nThe user specified " (itoa qty) " object" (if (= 1 qty) "." "s."))) ;; do something else ) ) (princ) )
    1 point
×
×
  • Create New...